org.apache.hadoop.mapred.nativetask.serde

## Class BoolWritableSerializer

- java.lang.Object
- - org.apache.hadoop.mapred.nativetask.serde.DefaultSerializer
  - - org.apache.hadoop.mapred.nativetask.serde.BoolWritableSerializer

- All Implemented Interfaces:
    INativeComparable, INativeSerializer<org.apache.hadoop.io.Writable>

      @InterfaceAudience.Private
      public class BoolWritableSerializer
      extends DefaultSerializer
      implements INativeComparable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoolWritableSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLength(org.apache.hadoop.io.Writable w)` get length of data to be serialized.

    - ### Methods inherited from class org.apache.hadoop.mapred.nativetask.serde.DefaultSerializer

      `deserialize, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoolWritableSerializer

          public BoolWritableSerializer()

  - ### Method Detail

    - #### getLength

          public int getLength(org.apache.hadoop.io.Writable w)
                        throws IOException

      Description copied from interface: `INativeSerializer`
      get length of data to be serialized. If the data length is already known (like IntWritable) and could immediately be returned from this method, it is good chance to implement customized NativeSerializer for efficiency
      Specified by:
        `getLength` in interface `INativeSerializer<org.apache.hadoop.io.Writable>`
      Overrides:
        `getLength` in class `DefaultSerializer`
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.